Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 224761 - Portage supports "myuse? foo/bar" syntax, PMS seems to not specify it
Summary: Portage supports "myuse? foo/bar" syntax, PMS seems to not specify it
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Core - Dependencies (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 563798 335925
  Show dependency tree
 
Reported: 2008-06-03 14:54 UTC by Santiago M. Mola (RETIRED)
Modified: 2022-04-14 05:24 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Santiago M. Mola (RETIRED) gentoo-dev 2008-06-03 14:54:51 UTC
Looking at Portage source code, it seems that it supports the following syntax for dependencies:
"myuse? foo/bar"

PMS secion 9.2 specifies use condition groups ("myuse? ( foo/bar )") but not the former syntax.

Either portage should deprecate the old syntax, or PMS should be clarified.
Comment 1 Ciaran McCreesh 2008-06-03 15:34:51 UTC
As far as I know, it's deprecated along with ?:.
Comment 2 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2008-06-03 17:14:24 UTC
I don't think it is at all illegal to support a superset of a given specification.

Comment 3 Brian Harring (RETIRED) gentoo-dev 2008-06-03 17:40:18 UTC
repoman ought to catch that one (same for ?: iirc)...
Comment 4 Ciaran McCreesh 2008-06-03 17:55:48 UTC
(In reply to comment #2)
> I don't think it is at all illegal to support a superset of a given
> specification.

PMS includes wording about rejecting or warning for invalid inputs in various places. Ideally it'd take the Stroustrup approach and say that for everything...

Comment 5 Zac Medico gentoo-dev 2010-09-13 17:41:07 UTC
This is fixed in 2.1.9.